smpeg-config(1)

NAME
smpeg-config - script to get information about the installed version of SMPEG

SYNOPSIS
smpeg-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags]

DESCRIPTION

smpeg-config is a tool that is used to determine the compiler and linker flags that should be used to compile and link programs that use SMPEG library.

OPTIONS

--version
    Print the currently installed version of SMPEG on the standard output.

--libs
    Print the linker flags that are necessary to link a SMPEG-using program.

--library-libs
    Print the linker flags that are necessary to link a library that uses SMPEG. (This excludes any static objects required for linking, since these must be linked only by executable programs.)

--plugin-libs
    Print the linker flags that are necessary to link an SMPEG-using object that is to be accessed via dlopen(3). This may include static objects with PIC symbol information. This option should not be used for ordinary shared libraries or standalone applications.

--cflags
    Print the compiler flags that are necessary to compile a SMPEG-using library or program.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that SMPEG was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs, --library-libs, --plugin-libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that SMPEG was built with when computing the output for the --cflags, --libs, --library-libs and --plugin-libs options. This option must be specified before any --libs, --library-libs, --plugin-libs or --cflags options.

AUTHOR
The SDL MPEG Player Library was written by Karl Robillard and Sam Lantinga of Loki Entertainment Software. Please report any bugs and/or fixes to smpeg@lokigames.com. Streaming MPEG support was contributed by Vivien Chappelier.

This manual page was written by Stefan Gybas <sgybas@debian.org> and modified by Joe Drew <drew@debian.org> and Branden Robinson <branden@debian.org> for the Debian GNU/Linux operating system, but may be used by others.